classification
Title: Missing documentation about old/new-style classes
Type: Stage:
Components: Documentation Versions: Python 2.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: Yinon, georg.brandl, r.david.murray
Priority: low Keywords:

Created on 2008-03-10 16:45 by Yinon, last changed 2009-03-31 20:23 by georg.brandl. This issue is now closed.

Messages (4)
msg63445 - (view) Author: Yinon Ehrlich (Yinon) Date: 2008-03-10 16:45
http://docs.python.org/tut/node11.html talks about old/new style
classes. But there is no any explanation what it is. The same for
http://docs.python.org/ref/node33.html
My suggestion: refer to http://wiki.python.org/moin/NewClassVsClassicClass
msg84050 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2009-03-24 01:54
I think this can be closed as 'out of date'.  The language reference
chapter has a section on old and new style classes, and in the tutorial
section the reference to 'new style class' is hyperlinked to a glossary
entry that in turn contains a pointer to that language reference section.
msg84621 - (view) Author: Yinon Ehrlich (Yinon) Date: 2009-03-30 19:20
* http://docs.python.org/reference/datamodel.html covers new style and
old style quite well.
 However, for the sake of the reader who reads it top-down, it will be
nice to add internal cross references (to
http://docs.python.org/reference/datamodel.html#new-style-and-classic-classes)


* http://docs.python.org/tutorial/classes.html mentions old-style
without any hint to the reader what it's. I suggest to add a link to
http://docs.python.org/reference/datamodel.html#new-style-and-classic-classes.
msg84889 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-03-31 20:23
The new docs already have glossary entries that point to the datamodel doc.
History
Date User Action Args
2009-03-31 20:23:48georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg84889
2009-03-30 19:20:18Yinonsetstatus: pending -> open

messages: + msg84621
2009-03-24 01:54:11r.david.murraysetstatus: open -> pending
priority: low

nosy: + r.david.murray
messages: + msg84050
2008-03-10 16:45:05Yinoncreate